*-- psy6140 root defined in autoexec.sas;
filename dat "&psy6140\data\places.dat";
 
data places;
  infile dat  length=len;
  input
      Climate Housing Health Crime Transpor Educ Arts Recreat Economic @;
   id = _n_;
   length place $42;
   lr = len+1-47;
   input @47 place $varying. lr;
   drop lr;
label
    Climate  = 'Climate & Terrain'
    Housing  = 'Housing'
    Health   = 'Health Care & Environment'
    Crime    = 'Crime'
    Transpor = 'Transportation'
    Educ     = 'Education'
    Arts     = 'The Arts'
    Recreat  = 'Recreation'
    Economic = 'Economics';
proc print;
   id id place;
   format place $20.;
   var Climate Housing Health Crime Transpor Educ Arts;
run;
