title 'Iris data: Stepwise discriminant analysis';
*include goptions;
goptions vsize=6.5;
options ls=132;
%include data(iris);
 
proc stepdisc data=iris;
     classes species;
     var sepallen sepalwid petallen petalwid;
proc stepdisc data=iris include=2;
     classes species;
     var sepallen sepalwid petallen petalwid;
proc stepdisc data=iris include=2;
     classes species;
     var petallen petalwid sepallen sepalwid;
 
* Now, try two derived measures: petal size and elongation;
data iris;
   set iris;
   size = log (petallen*petalwid);
   elong= log (petallen/petalwid);
proc plot;
   plot size * elong = species;
 
proc stepdisc data=iris include=2;
     classes species;
     var size elong petallen petalwid sepallen sepalwid;
     run;
