%include data(dogfood);
title 'Retrospective Power Analysis: OneWay MANOVA Design';
 
proc glm order=data outstat=stats;
   class formula;
   model start amount  =  formula / ss3 nouni;
   contrast 'Ours vs. Theirs'     formula 1  1 -1 -1;
   contrast 'Old - New'           formula 1 -1  0  0;
   contrast 'Major vs. Alps'      formula 0  0  1 -1;
   manova h=formula;
   run;

*include rpower;
title2 'Univariate power';
%rpower(data=stats,power=.80);

*include mpower;  run;
title2 'Multivariate power';
%mpower(data=stats, yvar=start amount);
