* MANOVA DATA FROM MORRISONS MULTIVARIATE TEXT, 2ND EDITION, PAGE 190;
Title 'Two Way Manova Example';
DATA drugs;
* Rats are given one of 3 types of drug. weight loss (grams)
* is the dependent measure over two weeks (Y1, Y2);
Label Y1=Week1
      Y2=Week2;
INPUT sex $ drug $ @;           *<-- read several obs. per line;
   INPUT Y1 Y2 @; OUTPUT;
   INPUT Y1 Y2 @; OUTPUT;
   INPUT Y1 Y2 @; OUTPUT;
   INPUT Y1 Y2 @; OUTPUT;
LIST;
CARDS;
M A    5  6   5  4   9  9   7  6
M B    7  6   7  7   9 12   6  8
M C   21 15  14 11  17 12  12 10
F A    7 10   6  6   9  7   8 10
F B   10 13   8  7   7  6   6  9
F C   16 12  14  9  14  8  10  5
;
Proc Plot;
     Plot Y2 * Y1 = drug;
     Plot Y2 * Y1 = sex ;
PROC GLM;
     CLASSES sex drug;
     MODEL Y1 Y2 = sex drug sex*drug /nouni;
     contrast 'sex-drug' sex*drug  1 -1 0   0 0 0,
                                   0 0  1  -1 0 0;
     MANOVA H=sex drug sex*drug / SHORT PRINTE PRINTH;
     MEANS drug / tukey lines;
run;

