title 'Testing homogeneity of regression';
%include data(blood);
PROC GLM Data=BLOOD;
  MODEL Y=AGE ;
Title2 'Fitting common regression';
 
PROC GLM Data=BLOOD;
  CLASS STATE;
M1:  MODEL Y=AGE STATE AGE*STATE;   /* Fit diff slope & intercept */
Title2 'Test of homogeneity of regression';
PROC GLM Data=BLOOD;
  CLASS STATE;
M2:  MODEL Y=AGE STATE ;            /* Common slope, diff intercept */
Title2 'Fit lines with different intercepts';
 
PROC GLM Data=BLOOD;
  CLASS STATE;
  MODEL Y=STATE AGE(STATE) ;
  Output Out =Results P=PRED R=RESIDUAL;
  Title2 'Fitting Separate regressions';
Proc Plot;
     Plot PRED*AGE=STATE;
     Plot Residual*Pred=STATE /vref=0 vpos=50;
run;
