title 'Predicting Detroit homicide rates';
options ls=85;
%include data(detroit);
proc print;
   id year;
proc corr nosimple noprob;
   var homicide police -- w_earn year;
 
proc plot hpercent=50 vpercent=50;
   plot  homicide * (police -- w_earn) = yr;
 
proc reg data=detroit;
   model homicide = police--w_earn / vif collinoint;
run;
