options ls=85;
%include data(detroit);
title 'Stepwise selection methods on Detroit Homicide data';
proc reg data=detroit;
m1:  model homicide = police--w_earn / selection=forward;
m2:  model homicide = police--w_earn / selection=backward;
m3:  model homicide = police--w_earn / selection=stepwise;
 
 /* RSQUARE procedure identifies a 3-variable subset "better"
 ** (arguably, at least) than that found by stepwise
 */
m4:  model homicide = police--w_earn / selection=rsquare cp mse
                                       best=5 stop=5;
run;
