title 'Stepwise simulation experiment: add random predictors to Fitness data'
;
%include data(fitnessd);
 
data fitness;
   set fitness;
   array x{15} x1-x15;
   drop i;
   *-- generate the 'artificial' predictors;
   do i=1 to 15;
      x(i) = normal(7654321);
      end;
 
proc reg data=fitness;
   model oxy=runtime age weight runpulse maxpulse rstpulse
           x1-x15 / selection=rsquare mse best=5 stop=6;
   run;
