title 'Swiss Bank Note data from Flury & Riedwyl (1988)';
proc format;
   value type  0='Genuine' 1='Forged';
 
filename bankdata '~/sasuser/data/banknote.data';
data banknote;
   infile bankdata;
   input obs type clus length left right bottom top diagonal;
   drop clus;
run;
proc print;
   by type;
   id obs;
