title 'Duncan Occupational Prestige Data';
data duncan;
  input job $ 1-15 title $ 16-50 income educ prestige;
  case=_n_;
  index=mod(case, 10);
  label income='Income'          /* % males >= $3500   */
        educ='Education'         /* % males h.s. grad. */
        prestige='Prestige';     /* % good or excellent*/
cards;
Accountant     accountant for a large business     62  86  82
Pilot          airline pilot                       72  76  83
Architect      architect                           75  92  90
Author         author of novels                    55  90  76
Chemist        chemist                             64  86  90
Minister       minister                            21  84  87
Professor      college professor                   64  93  93
Dentist        dentist                             80 100  90
Reporter       reporter on a daily newspaper       67  87  52
Civil Eng.     civil engineer                      72  86  88
Undertaker     undertaker                          42  74  57
Lawyer         lawyer                              76  98  89
Physician      physician                           76  97  97
Welfare Wrkr.  welfare worker for city government  41  84  59
PS Teacher     instructor in the public schools    48  91  73
RR Conductor   railroad conductor                  76  34  38
Contractor     building contractor                 53  45  76
Factory Owner  owner of a factory employing 100    60  56  81
Store Manager  manager of a small store in a city  42  44  45
Banker         banker                              78  82  92
Bookkeeper     bookkeeper                          29  72  39
Mail carrier   mail carrier                        48  55  34
Insur. Agent   insurance agent                     55  71  41
Store clerk    clerk in a store                    29  50  16
Carpenter      carpenter                           21  23  33
Electrician    electrician                         47  39  53
RR Engineer    railroad engineer                   81  28  67
Machinist      trained machinist                   36  32  57
Auto repair    automobile repairman                22  22  26
Plumber        plumber                             44  25  29
Gas stn attn   filling-station attendant           15  29  10
Coal miner     coal miner                           7   7  15
Motorman       streetcar motorman                  42  26  19
Taxi driver    taxi-driver                          9  19  10
Truck driver   truck-driver                        21  15  13
Machine opr.   machine-operator in a factory       21  20  24
Barber         barber                              16  26  20
Bartender      bartender                           16  28   7
Shoe-shiner    shoe-shiner                          9  17   3
Cook           restaurant cook                     14  22  16
Soda clerk     soda fountain clerk                 12  30   6
Watchman       night watchman                      17  25  11
Janitor        janitor                              7  20   8
Policeman      policeman                           34  47  41
Waiter         restaurant waiter                    8  32  10
;
