 * ----- Effects of different teaching methods on math performance --- ;
 *
 *       An experiment was performed to investigate 4 different methods
 *       of teaching school children multiplication (MULT) and addition
 *       (ADD) of two four-digit numbers.  The data for four independent
 *       groups of students are read in below.                   ;
 Title 'Effects of teaching methods on math performance';
 DATA MATH;
         RETAIN GROUP;
         LABEL ADD=ADDITION SCORE   MULT=MULTIPLICATION SCORE;
         INPUT GROUP;
         DO SUBJ=1 TO 20;
             INPUT ADD MULT @@ ;
             OUTPUT;
             END;
 
 CARDS;
 1       ** GROUP 1 **
100 79   96 64   90 80   90 90   87 82   83 72   85 67   85 77   78 68
 86 70   67 67   57 57   83 79   60 50   89 77   92 81   86 86   47 45
  90 85  86 65
 2       ** GROUP 2 **
 97 66   94 61   96 52   84 55   90 50   88 43   82 46   65 41   95 58
 90 56   95 55   84 40   71 46   76 32   90 44   77 39   61 37   91 50
 93 64   88 68
 3       ** GROUP 3 **
 76 29   60 22   84 18   86 32   70 33   70 32   73 17   85 29   58 21
 65 25   80 20   75 16   74 21   84 30   62 32   71 23   71 19   75 18
 92 23   70 27
 4       ** GROUP 4 **
 66 34   60 32   58 27   52 33   56 34   42 28   55 32   41 28   56 32
 55 29   40 33   50 30   42 29   46 33   32 34   30 31   47 27   50 28
 35 28   47 27
*PROC PRINT DATA=MATH;
*        BY GROUP;
*        ID SUBJ;
 
 * NOW YOU'RE ON YOUR OWN! ;
 
