data ozone;
*--------------------------------------------------------------+
|                                                              |
|               Maximum daily ozone concentration              |
|                                                              |
| Daily maximum ozone concentrations at Stamford,  Connecticut |
| (STMF) and Yonkers, New York (YKRS), during the period May 1 |
| 1974 to September 30 1974,  recorded  in  parts per  billion |
| (ppb). Missing observations are shown as ".". source:  Stam- |
| ford Connecticut department of environmental protection.     |
|                                                              |
| in J Chambers et al(eds) Graphical methods for data analysis |
| 1983, page 346.                                              |
|                                                              |
*--------------------------------------------------------------;
INPUT MAYS MAYY JUNES JUNEY JULYS JULYY AUGS AUGY SEPTS SEPTY;
label MAYS  = 'MAY Stamford ozone'
      MAYY  = 'MAY Yonkers ozone'
      JUNES = 'JUNE Stamford ozone'
      JUNEY = 'JUNE Yonkers ozone'
      JULYS = 'JULY Stamford ozone'
      JULYY = 'JULY Yonkers ozone'
      AUGS  = 'AUGUST Stamford ozone'
      AUGY  = 'AUGUST Yonkers ozone'
      SEPTS = 'SEPT Stamford ozone'
      SEPTY = 'SEPT Yonkers ozone';
cards;
 66  47  61  36 152  76  80  66 113  66
 52  37  47  24 201 108  68  82  38  18
  .  27   .  52 134  85  24  47  38  25
  .  37 196  88 206  96  24  28  28  14
  .  38 131 111  92  48  82  44  52  27
  .   . 173 117 101  60 100  55  14   9
 49  45  37  31 119  54  55  34  38  16
 64  52  47  37 124  71  91  60  94  67
 68  51 215  93 133   .  87  70  89  74
 26  22 230 106  83  50  64  41  99  74
 86  27   .  49   .  27   .  67 150  75
  52  25  69  64  60  37   . 127 146  74
 43   .  98  83 124  47 170  96 113  42
 75  55 125  97 142  71   .  56  38   .
 87  72  94  79 124  46  86  54  66  38
188 132  72  36  64  41 202 100  38  23
118   .  72  51  75  49  71  44  80  50
103 106 125  75 103  59  85  44  80  34
 82  42 143 104   .  53 122  75  99  58
 71  45 192 107  46  25 155  86  71  35
103  80   .  56  68  45  80  70  42  24
240 107 122  68   .  78  71  53  52  27
 31  21  32  19  87  40  28  36  33  17
 40  50 114  67  27  13 212 117  38  21
 47  31  32  20   .  25  80  43  24  14
 51  37  23  35  73  46  24  27  61  32
 31  19  71  30  59  62  80  77 108  51
 47  33  38  31 119  80 169  75  38  15
 14  22 136  81  64  39 174  87  28  21
  .  67 169 119   .  70 141  47   .  18
 71  45   .   . 111  74 202 114   .   .
;
proc print;
title 'Maximum daily ozone concentrations';
 
