%include data(AUTO);
goptions ftext=duplex;
 /*-------------------------------------------------------------*
  |  Plot WEIGHT vs. PRICE for AUTO data with marginal boxplots |
  *-------------------------------------------------------------*/
%boxanno(
     data=auto,             /* Data set to be plotted  */
     xvar=price,            /* Horizontal variable     */
     yvar=weight,           /* Vertical variable       */
     out=boxanno            /* Output annotate dataset */
     );
 
proc gplot data=auto ;
     symbol1 v=- h=1.5;
     axis1 label=(h=1.4 a=90 r=0);
     axis2 label=(h=1.4);
     plot weight * price /
          frame
          vaxis=axis1 haxis=axis2
          vminor=1 hminor=1
          annotate = boxanno
          name='GB0416' ;
     title  h=1.6 f=triplex 'Weight vs. Price of Automobiles';
     title2 h=1.4 f=triplex 'with Boxplots for Weight and Price';
