%include goptions ;
goptions vsize=7.5 in;
*include gtree ;

DATA   MILEAGES (TYPE=DISTANCE);
TITLE 'INTERCITY FLYING MILEAGES';
input  (atlanta chicago denver houston losangel
       miami newyork sanfran seattle washdc city cityname)
       (10*5. @54 $4. @61 $15.);
CARDS;
    0                                                ATL    ATLANTA
  587    0                                           CHI    CHICAGO
 1212  920    0                                      DEN    DENVER
  701  940  879    0                                 HOU    HOUSTON
 1936 1745  831 1374    0                            LA     LOS ANGELES
  604 1188 1726  968 2339    0                       MIA    MIAMI
  748  713 1631 1420 2451 1092    0                  NYC    NEW YORK
 2139 1858  949 1645  347 2594 2571    0             SF     SAN FRANCISCO
 2182 1737 1021 1891  959 2734 2408  678    0        SEA    SEATTLE
  543  597 1494 1220 2300  923  205 2442 2329    0   WAS    WASHINGTON D.C.
;
 
proc cluster noprint method=average outtree=tree1;
 * id city;
   id cityname;
run;
title h=1.6 'Intercity Flying Mileage';
*gtree(tree=tree1, orient=V);
%gtree(tree=tree1, orient=H,label=Average Distance,sym=dot);
%gfinish;
