%include goptions ;
*size(4);
goptions hsize=6.5in vsize=8.5in;
*goptions  horigin=1. in ftext=hwps1009 lfactor=3 htext=1.2 vpos=50;
data crime;
   input city &$16. murder rape robbery assault burglary larceny auto_thf;
cards;
Atlanta         16.5  24.8  106  147  1112   905  494
Boston           4.2  13.3  122   90   982   669  954
Chicago         11.6  24.7  340  242   808   609  645
Dallas          18.1  34.2  184  293  1668   901  602
Denver           6.9  41.5  173  191  1534  1368  780
Detroit         13.0  35.7  477  220  1566  1183  788
Hartford         2.5   8.8   68  103  1017   724  468
Honolulu         3.6  12.7   42   28  1457  1102  637
Houston         16.8  26.6  289  186  1509  787   697
Kansas City     10.8  43.2  255  226  1494  955   765
Los Angeles      9.7  51.8  286  355  1902  1386  862
New Orleans     10.3  39.7  266  283  1056  1036  776
New York         9.4  19.4  522  267  1674  1392  848
Portland         5.0  23.0  157  144  1530  1281  488
Tucson           5.1  22.9   85  148  1206   757  483
Washington      12.5  27.6  524  217  1496  1003  739
;
title 'LINEARLY OPTIMAL PROFILES ALGORITHM';
title2 'Data: Crime in U.S. cities';
 
*include linpro;
%linpro(data=crime,
	id=city,
	var=murder rape robbery assault burglary larceny auto_thf);

/*	 
title h=1.5 'Optimal Linear Profiles for City Crime Rates';
proc gplot data=linplot &GOUT ;
   plot fit * position = city
        / vaxis=axis1 haxis=axis2
          anno=vlabel nolegend
          name='GB0812' ;
   symbol1 i=join v=- h=.5 l=1 c=black r=4;
   symbol2 i=join v=- h=.5 l=3 c=red   r=4;
   symbol3 i=join v=- h=.5 l=5 c=blue  r=4;
   symbol4 i=join v=- h=.5 l=9 c=green r=4;
   axis1 label=(h=1.4 a=90 r=0);
   axis2 minor=none style=0 ;
   label fit ='Fitted Crime Index';
*/
%gfinish;
