title 'Dog Food: One Way Completely Randomized Manova Design';                  
%include data(dogfood);
proc print;                                                                     
proc plot;                                                                      
   plot amount * start = formula;                                               
run;                                                                                
proc glm order=data;                                                            
   class formula;                                                               
   model start amount  =  formula / ss3;                                        
   means formula;                                                               
   output out=resids r=r1 r2;                                                   
   contrast 'Equality of Groups'  formula 1  0  0 -1,                           
                                  formula 1  0 -1  0,                           
                                  formula 1 -1  0  0;                           
                                                                                
   contrast 'Ours vs. Theirs'     formula 1  1 -1 -1;                           
   contrast 'Old - New'           formula 1 -1  0  0;                           
   contrast 'Major vs. Alps'      formula 0  0  1 -1;                           
   manova h=formula;                                                            
   title2 'MANOVA for equality of means';                                       
run;                                                                                
*proc plot data=resids;                                                         
*   plot (r1 r2)*formula / vref=0;                                              
