filename wlfpart "&psy6140\examples\logistic\wlfpart.dat";
*-- Define 'working' as full-time or part-time;
data wlfpart;
   infile wlfpart;
   input case labour husinc children region;
   working = labour < 3;

%include goptions;
goptions htext=1.6 ftext=duplex;
*include inflogis;
title "Women's Labour Force Participation";
title2 "Bubble size: Change in Coefficients";
%inflogis(data=wlfpart,
          y=working,
          x=husinc children, id=case,
          gy=DIFCHISQ,
          gx=HAT,
          lcolor=RED, bsize=14
          );
run;
%gfinish;
