%include goptions;
title 'Box-Cox analysis of Auto data';
goptions vsize=8 in htext=1.6 ftext=duplex;
 
%include data(auto) ;
*include boxcox;
%boxcox(data=auto,
        resp=MPG,
        model=Weight Displa Gratio,
        id=model,
        out=coxout,
        outplot=coxplot,
        gplot=RMSE EFFECT INFL,
        pplot=RMSE EFFECT INFL,
        lopower=-2.5, hipower=2.5, conf=.99);
 
proc print data=coxplot;
   id _lambda_;
   title 'Data set for power plots';
run;
%gfinish;
