title 'Incomplete principal components regression';
%include data(evapdata);
proc princomp out=prin;
   var maxst -- wind;
proc reg;
   model evap = prin1 - prin10;
proc plot hpercent=50 vpercent=50;
   plot (prin1 - prin10)*evap;
proc reg;
   model evap = maxst -- wind / vif;
run;
 
proc reg outest=parms;
   model evap = maxst -- wind / pcomit=1;
   title2 'Incomplete PC regression';
proc print data=parms;
data parms;
   set parms;
   drop _ridge_ _model_;
proc transpose;
   id _type_;
proc print;
run;
