title 'Fitness data: Biplot';
%include goptions;
goptions hsize=7in vsize=7in vorigin=1in;
goptions ftext=duplex htext=1.6;
%include data(fitnessd) ;
data fitness;
   set fitness;
   case = put(_n_,2.0);
%include biplot;
%biplot(data=fitness,
        var=oxy runtime age weight runpulse maxpulse rstpulse,
        id=case,
        scale=.80,
        std=std);
proc gplot data=biplot ;
  plot  dim2 * dim1 /
        annotate=bianno frame vminor=1 hminor=1
        haxis=axis1 vaxis=axis2;
  symbol v=none;
  axis1 label=('Dimension 1');
  axis2 label=(a=90 r=0 'Dimension2');
run;
%gfinish;
