title 'Various selection methods for Fitness data';
*include data(fitnessd);
proc reg data=psy303.fitness;
   title2 'R Square Analysis';
   model oxy=age weight runtime runpulse maxpulse rstpulse
             / selection=rsquare cp
             best=6;       /* print best 6 models of each size */
   run;
   title2 'Forward Selection';
   model oxy=age weight runtime runpulse maxpulse rstpulse
             / selection=forward details;
   run;
   title2 'Stepwise Analysis';
   model oxy=age weight runtime runpulse maxpulse rstpulse
             / selection=stepwise
               include=2;  /* force first 2 variables */
 
